Subject: [PATCH v2 1/3] ARM: dts: rockchip: add veyron-jaq board

From: [email-masked] (Brian Norris)
Date: Mon, 24 Aug 2015 11:06:23 -0700

On Mon, Aug 24, 2015 at 08:01:29PM +0200, Javier Martinez Canillas wrote:
> On Mon, Aug 24, 2015 at 7:58 PM, Heiko Stuebner <[email-masked]> wrote:
> > Am Montag, 24. August 2015, 10:53:15 schrieb Brian Norris:
> >> On Thu, Aug 20, 2015 at 01:29:40AM +0200, Javier Martinez Canillas wrote:
> >> > [...]
> >> >
> >> > > +
> >> > > +&rk808 {
> >> > > +       pinctrl-names = "default";
> >> > > +       pinctrl-0 = <&pmic_int_l &dvs_1 &dvs_2>;
> >> > > +       dvs-gpios = <&gpio7 12 GPIO_ACTIVE_HIGH>,
> >> > > +                   <&gpio7 15 GPIO_ACTIVE_HIGH>;
> >> >
> >> > I see the dvs-gpios DT property is documented in the downstream
> >> > ChromiumOS 3.18 tree [0] but I don't see it neither mentioned in
> >> > Documentation/devicetree/bindings/mfd/rk808.txt in mainline nor code
> >> > that parses it in the drivers/regulator/rk808-regulator.c driver.
> >>
> >> Good catch.
> >>
> >> > So I think this should be removed and also the dvs_{1,2} pinctrl
> >> > lines.
> >>
> >> OK, will do. I see that jerry, minnie, and speedy also have the pinctrl
> >> lines. Should they be killed as well?
> >
> > Personally I think the pinctrl settings can stay. Their configuration is part
> > of the hardware and not subject to the binding of the device using them.
> >
> > And of course, the change to support them is already pending, with the binding
> > itself already in the mfd tree.
> >
> 
> I missed that the change to add support for this is already in the mfd tree.

Me too. So I'll leave all the dvs-* stuff as-is, then. This makes the
v2->v3 delta very small...

> >
> > So it doesn't matter to much if they're in there already or not, as we'll
> > hopefully soon make use of them anyway.
> >
> 
> Agreed.

Brian